type: test/samples
schema_version: 1
test:
  suites:
  - name: Transcript Audio File (Cloud Storage)
    cases:

    # This sample should default to using gs://cloud-samples-data/speech/brooklyn_bridge.raw
    # with explicitly configured sample_rate_hertz and encoding
    - name: speech_transcribe_sync_gcs (no arguments)
      spec:
      - call:
          sample: speech_transcribe_sync_gcs
      - assert_contains:
        - literal: "how old is the Brooklyn Bridge"

    # Confirm that another file can be transcribed (use another .raw PCM file)
    - name: speech_transcribe_sync_gcs (--storage_uri)
      spec:
      - call:
          sample: speech_transcribe_sync_gcs
          params:
            storage_uri:
              literal: "gs://cloud-samples-data/speech/hello.raw"
      - assert_contains:
        - literal: "hello"
      - assert_not_contains:
        - literal: "how old is the Brooklyn Bridge"
